Skip to main content

PATCH Update a CI

This API is used to update the details of a CI. You can also update the "Used By" field of the CI.

URL: http://{{server-url}}/api/v1/cmdb/ci/{id}

Example: http://{{server-url}}/api/v1/cmdb/ci/2

Header:

Authorization: Bearer/API Key

Body:

{
"type": "CI",
"ciDisplayName": "CI Updated",
"usedByEmail": "adam@motadata.com",
"ciTypeName":"base ci$Hardware$laptops",
"customField": {
"CMDB Global": "cmdbf",
"Hardware": "s"
},
"ciPropertyList": [
{
"type": "HardwareProperty",
"serialNumber": "Serial",
"propertyCustomField": {
"CMDBHWPG": "computer-text-updated"
}
}
]
}

Example (Request and Response)

Request

curl --location --request PATCH 'http://172.16.11.157/api/v1/cmdb/ci/2' \
--header 'Authorization: Apikey MtawICaqt6xRDUER%40cZd7nhRKPW3c0wxKTx7b530chfUr1C2JsTgFjkcJ7eQV3SteuehUbw%3D%3D' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "CI",
"ciDisplayName": "CI Upodated",
"usedByEmail": "adam@motadata.com",
"ciTypeName":"base ci$Hardware$laptops",
"customField": {
"CMDB Global": "cmdbf",
"Hardware": "s"
},
"ciPropertyList": [
{
"type": "HardwareProperty",
"serialNumber": "Serial",
"propertyCustomField": {
"CMDBHWPG": "computer-text-updated"
}
}
]
}'

Response

{
"type": "CI",
"id": 2,
"name": "ITSM-Windows10",
"impactName": "On Users",
"statusName": "Operational",
"origin": "agent",
"usedByEmail": "adam@motadata.com",
"tags": [],
"createdDate": "01/06/2025 08:43 pm",
"updatedDate": "30/06/2025 04:28 pm",
"fileAttachments": [],
"createdByName": "System",
"updatedByName": "Aman",
"ipAddress": "172.16.12.152",
"hostName": "ITSM-Windows10",
"macAddress": "00:50:56:9E:71:DE",
"firstScanDate": "Sun, Jun 01, 2025 08:43 pm",
"lastScanDate": "Sun, Jun 01, 2025 08:44 pm",
"ciTypeName": "Laptops",
"ciId": "CI-2",
"ciPropertyList": [
{
"id": 2,
"refName": "CI-2",
"type": "HardwareProperty",
"serialNumber": "Serial",
"propertyCustomField": null
}
],
"concreteModel": "cmdb"
}